%global modulename chokidar

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-chokidar
Version:        2.0.4
Release:        1%{?dist}
Summary:        A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.

License:        MIT
URL:            https://github.com/paulmillr/chokidar
Source0:        https://registry.npmjs.org/chokidar/-/chokidar-2.0.4.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(anymatch) >= 2.0.0 with npmlib(anymatch) < 3.0.0))
BuildRequires:  ((npmlib(async-each) >= 1.0.0 with npmlib(async-each) < 2.0.0))
BuildRequires:  ((npmlib(braces) >= 2.3.0 with npmlib(braces) < 3.0.0))
BuildRequires:  ((npmlib(glob-parent) >= 3.1.0 with npmlib(glob-parent) < 4.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.1 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(is-binary-path) >= 1.0.0 with npmlib(is-binary-path) < 2.0.0))
BuildRequires:  ((npmlib(is-glob) >= 4.0.0 with npmlib(is-glob) < 5.0.0))
BuildRequires:  ((npmlib(lodash.debounce) >= 4.0.8 with npmlib(lodash.debounce) < 5.0.0))
BuildRequires:  ((npmlib(normalize-path) >= 2.1.1 with npmlib(normalize-path) < 3.0.0))
BuildRequires:  ((npmlib(path-is-absolute) >= 1.0.0 with npmlib(path-is-absolute) < 2.0.0))
BuildRequires:  ((npmlib(readdirp) >= 2.0.0 with npmlib(readdirp) < 3.0.0))
BuildRequires:  ((npmlib(upath) >= 1.0.5 with npmlib(upath) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.

%package 2.0.4
Summary:        A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.


%description 2.0.4
A neat wrapper around node.js fs.watch / fs.watchFile / fsevents.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.0.4
%doc CHANGELOG.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 2.0.4-1
- Package automatically generated by npm2srpm
